Get current key

- « LimitIterator::getPosition

- LimitIterator::next »

- PHP Manual
- LimitIterator
- Get current key

# LimitIterator::key

(PHP 5 >= 5.1.0, PHP 7, PHP 8)

LimitIterator::key — Get current key

### Description

public LimitIterator::key(): mixed

Gets the key for the current item in the inner Iterator.

### Parameters

This function has no parameters.

### Return Values

Returns the key for the current item.

### See Also

- LimitIterator::getPosition() - Return the current position
- LimitIterator::current() - Get current element
- LimitIterator::next() - Move the iterator forward
- LimitIterator::rewind() - Rewind the iterator to the specified starting offset
- LimitIterator::seek() - Seek to the given position
- LimitIterator::valid() - Check whether the current element is valid